#include<bits/stdc++.h>
using namespace std;
int a,b,c;
void solve(){
	scanf("%d%d%d",&a,&b,&c);
	printf("%d %d\n",3,2);
}
int main(){
	freopen("geometry.in","r",stdin);
	freopen("geometry.out","w",stdout);
	int _;scanf("%d",_);
	while(_--)solve();
	return 0;
}
